## org.apache.lucene.analysis.fa
Class PersianNormalizationFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.fa.PersianNormalizationFilterFactory

All Implemented Interfaces:
  MultiTermAwareComponent

    public class PersianNormalizationFilterFactory

extends TokenFilterFactory
implements MultiTermAwareComponent

Factory for `PersianNormalizationFilter`.

     <fieldType name="text_fanormal" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.PersianCharFilterFactory"/>
         <tokenizer class="solr.StandardTokenizerFactory"/>
         <filter class="solr.PersianNormalizationFilterFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`PersianNormalizationFilterFactory(Map<String,String> args)` Creates a new PersianNormalizationFilterFactory

Method Summary
`PersianNormalizationFilter` `create(TokenStream input)` Transform the specified input TokenStream
`AbstractAnalysisFactory` `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersianNormalizationFilterFactory

    public PersianNormalizationFilterFactory(Map<String,String> args)

  Creates a new PersianNormalizationFilterFactory

Method Detail

### create

    public PersianNormalizationFilter create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

### getMultiTermComponent

    public AbstractAnalysisFactory getMultiTermComponent()

  Description copied from interface: `MultiTermAwareComponent`
  Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.

  Specified by:
    `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.